Bug 1128414 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0fb2e0f49f950a87f496a7df7c9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 09:39 UTC by Paul Osmialowski
Modified: 2015-06-29 22:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:00:10 UTC


Attachments (Terms of Use)
File: dmesg (85.04 KB, text/plain)
2014-08-10 09:40 UTC, Paul Osmialowski
no flags Details

Description Paul Osmialowski 2014-08-10 09:39:58 UTC
Description of problem:
I bought new laptop, Asus G750JS-T4028 with 32GB RAM, installed Fedora 20 on it and on the first run I started "yum update". Then after reboot, I got NULL pointer dereference in dmesg.

Additional info:
reporter:       libreport-2.2.3
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffffa01a8f9d>] _nouveau_gpuobj_wr32+0xd/0x30 [nouveau]
PGD 845421067 PUD 84541d067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: tun cfg80211 ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat iTCO_wdt iTCO_vendor_support asus_nb_wmi asus_wmi sparse_keymap uvcvideo snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel x86_pkg_temp_thermal btusb bluetooth rfkill alx mdio videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_controller joydev snd_hda_codec snd_hwdep serio_raw snd_seq snd_seq_device shpchp snd_pcm snd_timer snd lpc_ich mfd_core
coretemp i2c_i801 soundcore mei_me mei kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel microcode nfsd auth_rpcgss nfs_acl lockd sunrpc xfs libcrc32c nouveau i915 ttm i2c_algo_bit mxm_wmi drm_kms_helper drm i2c_core wmi video
CPU: 6 PID: 838 Comm: Xorg Not tainted 3.15.8-200.fc20.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. G750JS/G750JS, BIOS G750JS.205 02/19/2014
task: ffff880851a2cf00 ti: ffff880851e50000 task.ti: ffff880851e50000
RIP: 0010:[<ffffffffa01a8f9d>]  [<ffffffffa01a8f9d>] _nouveau_gpuobj_wr32+0xd/0x30 [nouveau]
RSP: 0018:ffff880851e539d8  EFLAGS: 00010202
RAX: 0000000000000000 RBX: ffff880847e29780 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff880847e29780
RBP: ffff880851e539d8 R08: 0000000000000010 R09: 0000000000000000
R10: 0000000000000000 R11: 000000000000000f R12: 0000000000000004
R13: 0000000000000000 R14: ffff880851e53a08 R15: 0000000000000000
FS:  00007f13275889c0(0000) GS:ffff88087ef80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000084541b000 CR4: 00000000001407e0
Stack:
ffff880851e53a38 ffffffffa01a9276 0000000081358e44 ffffffffa02890f0
0000000004baf000 0000000000000000 0000000000000000 ffff880851e53a90
ffff88084e6ac000 ffff880851e53b18 ffffffffa0289120 ffff88084e6ac000
Call Trace:
[<ffffffffa01a9276>] nouveau_gpuobj_create_+0x1c6/0x2c0 [nouveau]
[<ffffffffa01a93bc>] _nouveau_gpuobj_ctor+0x4c/0x70 [nouveau]
[<ffffffffa01aa9d1>] nouveau_object_ctor+0x41/0xe0 [nouveau]
[<ffffffffa01a943b>] nouveau_gpuobj_new+0x5b/0x80 [nouveau]
[<ffffffffa0216509>] nvc0_grctx_generate+0x79/0x580 [nouveau]
[<ffffffffa0226068>] nvc0_graph_init_ctxctl+0x728/0x860 [nouveau]
[<ffffffffa02276c4>] nve4_graph_init+0x7b4/0x7d0 [nouveau]
[<ffffffffa01ab05e>] nouveau_object_inc+0xae/0x180 [nouveau]
[<ffffffffa01ab21c>] nouveau_object_new+0xec/0x240 [nouveau]
[<ffffffffa0236f80>] nouveau_abi16_ioctl_grobj_alloc+0x80/0x100 [nouveau]
[<ffffffffa0042a3c>] drm_ioctl+0x1ec/0x660 [drm]
[<ffffffff816fa4ec>] ? __do_page_fault+0x20c/0x530
[<ffffffffa022c376>] nouveau_drm_ioctl+0x66/0xa0 [nouveau]
[<ffffffff811f9ad0>] do_vfs_ioctl+0x2e0/0x4a0
[<ffffffff811f9d11>] SyS_ioctl+0x81/0xa0
[<ffffffff816ff9e9>] system_call_fastpath+0x16/0x1b
Code: 4a 08 48 8b 57 28 48 85 d2 74 06 8b 52 34 48 01 d6 48 89 c7 ff 51 30 5d c3 0f 1f 44 00 00 0f 1f 44 00 00 55 48 8b 47 20 48 89 e5 <48> 8b 08 4c 8b 41 08 48 8b 4f 28 48 85 c9 74 06 8b 49 34 48 01 
RIP  [<ffffffffa01a8f9d>] _nouveau_gpuobj_wr32+0xd/0x30 [nouveau]
RSP <ffff880851e539d8>
CR2: 0000000000000000

Comment 1 Paul Osmialowski 2014-08-10 09:40:03 UTC
Created attachment 925474 [details]
File: dmesg

Comment 2 Fedora End Of Life 2015-05-29 12:35:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 22:00:10 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.